#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from fanstatic import Library, Resource
from pyramid.i18n import TranslationStringFactory


_ = TranslationStringFactory('pyams_darkgreen_theme')


library = Library('pyams_darkgreen_theme', 'resources')

pyams_darkgreen_theme = Resource(library, 'js/darkgreen-dev.js',
                                 minified='js/darkgreen.js',
                                 depends=(),
                                 bottom=False)


def includeme(config):
    """Pyramid include"""

    from .include import include_package
    include_package(config)
