#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

from pyams_darkgreen_theme.layer import IPyAMSDarkGreenLayer
from pyams_default_theme.features.search.portlet import SearchFolderHeadViewlet, \
    SearchResultsPortletDefaultRenderer, SearchResultsPortletPanelsRenderer, \
    WfSharedContentSearchResultPanelRenderer, WfSharedContentSearchResultRenderer
from pyams_template.template import override_template


__docformat__ = 'restructuredtext'

override_template(context=SearchFolderHeadViewlet,
                  template='templates/folder-head-specificities.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=SearchResultsPortletDefaultRenderer,
                  template='templates/search-results.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=SearchResultsPortletPanelsRenderer,
                  template='templates/search-panels.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=WfSharedContentSearchResultRenderer,
                  template='templates/search-result.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=WfSharedContentSearchResultPanelRenderer,
                  template='templates/search-panel.pt',
                  layer=IPyAMSDarkGreenLayer)
